問題

私はかなり長い間、MS Visual Studio Community 2017でIonic 2を使用してきました。 Visual Studioマーケットでは、VS用のプラグインIonic 2テンプレートをダウンロードして使用できます。

クリックするのと同じくらい簡単です:

新しいプロジェクト>タイプスクリプト>モバイルアプリ>イオン2 - ブランク

しかし、私はIonic 3のテンプレートを見つけることができません。 (まだリリースされていないようです)

Visual StudioにIonic 3を手動で追加する方法はありますか?

ありがとう!

  ベストアンサー

この回答の将来の読者は、以下に参照されるバージョンがこの投稿時のパッケージの最新バージョンであることを理解する必要があります。つまり、新しいバージョンが読み込み時に利用できる可能性があります。

  1. Ionic CLIをアップグレードします。この投稿の時点で、最新バージョンは3.9.1です。

npm install -g ionic

  1. NPM Ionic パッケージの依存関係をアップグレードします。
    または おそらく、Angularの4.xバージョンと、関連するAngular npm依存関係(CORE、COMPILER、FORMS、HTTPなど)が必要になるでしょう。 Ionic-Angularの3.xバージョンとIonicネイティブパッケージの4.xバージョンが必要です。

これを行う最善の方法は、Ionic CLIの最新バージョンを使用して、まったく新しい一時的なIonicアプリケーションを作成することです。そして、package.jsonファイルにリストされているNPMパッケージを調べ、実際のアプリケーションのpackage.jsonを手動で更新して一致させます。慎重で構文的に。

あなたの見解については、新しいIonic 3アプリケーションで作成されたデフォルトのpackage.json依存関係を添付しました。

 "dependencies": {
        "@angular/common": "4.3.5",
        "@angular/compiler": "4.3.5",
        "@angular/compiler-cli": "4.3.5",
        "@angular/core": "4.3.5",
        "@angular/forms": "4.3.5",
        "@angular/http": "4.3.5",
        "@angular/platform-browser": "4.3.5",
        "@angular/platform-browser-dynamic": "4.3.5",
        "@ionic-native/core": "4.1.0",
        "@ionic-native/splash-screen": "4.1.0",
        "@ionic-native/status-bar": "4.1.0",
        "@ionic/storage": "2.0.1",
        "ionic-angular": "3.6.0",
        "ionicons": "3.0.0",
        "rxjs": "5.4.3",
        "sw-toolbox": "3.6.0",
        "zone.js": "0.8.16"
      },
      "devDependencies": {
        "@ionic/app-scripts": "2.1.4",
        "typescript": "2.3.4"
      },
 

  同じタグがついた質問を見る

visual-studio-2017ionic3